Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
connections
curl --request POST \ --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/connections \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "my-database-connection", "platformConnectionType": "COMPONENT_BASIC", "authProvider": "NONE", "authType": "GENERIC_SECRET", "connectionDetails": { "description": "Production database connection for analytics", "connectionProperties": { "secretName": "db-credentials", "secretKey": "password" }, "secretsLocation": { "type": "AWS_SECRET_MANAGER", "region": "us-east-1" } } } '
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "my-database-connection",
  "platformConnectionType": "COMPONENT_BASIC",
  "authProvider": "NONE",
  "authType": "GENERIC_SECRET",
  "createdBy": "550e8400-e29b-41d4-a716-446655440001",
  "createdDate": "2024-01-15T10:30:00.123Z",
  "projectId": "550e8400-e29b-41d4-a716-446655440002",
  "connectionDetails": {
    "description": "Production database connection for analytics",
    "secretsLocation": {
      "type": "AWS_SECRET_MANAGER",
      "region": "us-east-1"
    },
    "connectionProperties": {
      "secretName": "db-credentials",
      "secretKey": "password"
    }
  }
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required

The unique identifier of the project where the connection will be created

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Body

application/json

Connection creation request. The structure varies by connection type:

For COMPONENT_BASIC connections:

  • platformConnectionType must be "COMPONENT_BASIC"
  • connectionProperties must include secretName and an optional secretKey
  • secretsLocation is optional. Defaults to whatever vault location is configured on the agent when the secret is used in a pipeline.

The connection creation request containing all necessary details

authType
enum<string>
required

The authentication type

Available options:
GENERIC_SECRET,
CLOUD_PROVIDER_SECRET
Example:

"GENERIC_SECRET"

name
string
required

The name of the connection

Minimum string length: 1
Example:

"my-secret"

platformConnectionType
enum<string>
required

The platform connection type

Available options:
DWH,
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"component_basic"

authProvider
string

The authentication provider

Example:

"NONE"

connectionDetails
object

Optional connection details

Response

Connection created successfully

authProvider
string

The authentication provider

Example:

"NONE"

authType
enum<string>

The authentication type

Available options:
GENERIC_SECRET,
CLOUD_PROVIDER_SECRET
Example:

"GENERIC_SECRET"

connectionDetails
object

Connection details

createdBy
string

The user who created the connection

createdDate
string<date-time>

The date and time when the connection was created

name
string

The name of the connection

Example:

"my-secret"

platformConnectionType
enum<string>

The platform connection type

Available options:
DWH,
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"COMPONENT_BASIC"

projectId
string<uuid>

The project ID this connection belongs to